@if $form==true {
    [data-form] {
        display: flex;
        flex-direction: column;
        .form-group {
            position: relative;
            textarea,
            input[type="text"] {
                border: none;
                border-bottom: 1px solid lighten($dark, 30%);
                width: 100%;
                outline: 0;
                padding: 40px 16px 0 16px;
                vertical-align: bottom;
                font-size: 16px;
                letter-spacing: 0;
                font-family: Arial, Helvetica, sans-serif;
                &:focus {
                    transition: all .5s ease;
                    border-bottom: 1px solid $primary;
                }
            }
            input[type="text"]{
                padding-bottom: 19px;
            }
            label {
                color: lighten($dark, 30%);
                position: absolute;
                bottom: 8px;
                left: 0;
                transition: all .5s ease;
            }
             // le "+" permet de cibler l'élément qui est juste après
            textarea:focus+label, 
            [type="text"]:focus+label, 
            .valid {
                color: $primary;
                bottom: 46px;
                font-size: .85rem;
            }
            .invalid{
                color: $danger;
            }
            [type="submit"]{
                width: 100%;
                padding: 1rem;
                font-size: 16px;
                background: darken($light, 15%);
                margin-top: 16px;
                transition: ease all .5s;
                border: none;
                border-radius: 100px;
                outline: 0;
                &:hover{
                    background: $primary;
                    color: $light;
                    cursor: pointer;
                }
            }
        }
    }
}